summaryrefslogtreecommitdiff
path: root/release-hook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'release-hook.sh')
-rwxr-xr-xrelease-hook.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/release-hook.sh b/release-hook.sh
new file mode 100755
index 0000000..052832f
--- /dev/null
+++ b/release-hook.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Error out if any command fails
+set -e
+
+cargo run -- dev check
+typos
+cargo outdated -w --exit-code 1
+cargo test --workspace --all-targets